<?php

// If this isn't defined, PHP files referenced directly will die().
define('kPHP_Platform',	1);


// We don't want any include paths that aren't our own
ini_set('include_path', '.');


ini_set('display_errors', 'on');												// For debugging - turn OFF in production code!!!
ini_set('error_reporting', E_ALL & ~E_DEPRECATED & ~E_STRICT);

session_start();


define('DOWNLOADS_CACHE_PATH',	dirname(__FILE__) .'/../cache/downloads/');


// Make sure we include our local copy in case the server has an older (or different version of the API).
require_once(dirname(__FILE__) .'/FileMaker.php');

// Include our cgi wrapper.
require_once('cgi.inc.php');

// Include our session wrapper (includes a debug log facility).
require_once('session.inc.php');

// Include all definitions about our database.
require_once('schema.inc.php');

// Include our utility routines.
require_once('utils.inc.php');

?>